Qt 5.6 | Qt Widgets | C++ Classes | QKeySequenceEdit

Qt 5.6.2 Reference Documentation

# QKeySequenceEdit Class

The QKeySequenceEdit widget allows to input a QKeySequence. More...

Header: | #include <QKeySequenceEdit>
qmake: | QT += widgets
Since: | Qt 5.2
Inherits: | QWidget

- List of all members, including inherited members

## Properties

- keySequence : QKeySequence

- 58 properties inherited from QWidget

## Public Functions

| QKeySequenceEdit(QWidget *parent = Q_NULLPTR)
| QKeySequenceEdit(const QKeySequence &keySequence, QWidget *parent = Q_NULLPTR)
| ~QKeySequenceEdit()
QKeySequence | keySequence() const

- 211 public functions inherited from QWidget

## Public Slots

void | clear()
void | setKeySequence(const QKeySequence &keySequence)

- 19 public slots inherited from QWidget

## Signals

void | editingFinished()
void | keySequenceChanged(const QKeySequence &keySequence)

- 3 signals inherited from QWidget

## Protected Functions

bool | event(QEvent *e)
void | timerEvent(QTimerEvent *e)

## Reimplemented Protected Functions

virtual void | keyPressEvent(QKeyEvent *e)
virtual void | keyReleaseEvent(QKeyEvent *e)

- 35 protected functions inherited from QWidget

### Additional Inherited Members

- 5 static public members inherited from QWidget
- 1 protected slot inherited from QWidget

## Detailed Description

The QKeySequenceEdit widget allows to input a QKeySequence.

This widget lets the user choose a QKeySequence, which is usually used as a shortcut. The recording is initiated when the widget receives the focus and ends one second after the user releases the last key.

See also QKeySequenceEdit::keySequence.

## Property Documentation

### keySequence : QKeySequence

This property holds this property contains the currently chosen key sequence.

The shortcut can be changed by the user or via setter function.

Access functions:

QKeySequence | keySequence() const
void | setKeySequence(const QKeySequence &keySequence)

Notifier signal:

void | keySequenceChanged(const QKeySequence &keySequence)

## Member Function Documentation

### QKeySequenceEdit::QKeySequenceEdit(QWidget *parent = Q_NULLPTR)

Constructs a QKeySequenceEdit widget with the given parent.

### QKeySequenceEdit::QKeySequenceEdit(const QKeySequence &keySequence, QWidget *parent = Q_NULLPTR)

Constructs a QKeySequenceEdit widget with the given keySequence and parent.

### QKeySequenceEdit::~QKeySequenceEdit()

Destroys the QKeySequenceEdit object.

### `[slot]` void QKeySequenceEdit::clear()

Clears the current key sequence.

### `[signal]` void QKeySequenceEdit::editingFinished()

This signal is emitted when the user finishes entering the shortcut.

Note: there is a one second delay before releasing the last key and emitting this signal.

### `[protected]` bool QKeySequenceEdit::event(QEvent *e)

### `[virtual protected]` void QKeySequenceEdit::keyPressEvent(QKeyEvent *e)

Reimplemented from QWidget::keyPressEvent().

### `[virtual protected]` void QKeySequenceEdit::keyReleaseEvent(QKeyEvent *e)

Reimplemented from QWidget::keyReleaseEvent().

### `[protected]` void QKeySequenceEdit::timerEvent(QTimerEvent *e)